import { Repository } from "typeorm";
import { Category } from "../../common/category/category.entity";
import { CreateCategoryDto, UpdateCategoryDto, UpdateStatusDto } from "./category.dto";
export declare class AdminCategoryService {
    private readonly categoryRepository;
    constructor(categoryRepository: Repository<Category>);
    create(createCategoryDto: CreateCategoryDto): Promise<Category>;
    findAll(): Promise<Category[]>;
    findOne(id: number): Promise<Category>;
    update(id: number, updateCategoryDto: UpdateCategoryDto): Promise<Category>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<Category>;
}
